### Method

# Adw ApplicationWindow set_adaptive_preview

since: 1.7

#### Declaration [src]

    void
    adw_application_window_set_adaptive_preview (
      AdwApplicationWindow* self,
      gboolean adaptive_preview
    )

#### Description [src]

Sets whether adaptive preview for `self` is currently open.

Adaptive preview is a debugging tool used for testing the window contents at specific screen sizes, simulating mobile environment.

Adaptive preview can always be accessed from inspector. This function allows applications to open it manually.

Most applications should not use this function.

Available since: 1.7

Sets property | `Adw.ApplicationWindow:adaptive-preview`

#### Parameters

`adaptive_preview`

  Type: `gboolean`

  Whether to open adaptive preview.